Package org.gradle.jvm.toolchain

## Interface JavaToolchainRepositoryHandler

- All Superinterfaces:
    `java.util.Collection<JavaToolchainRepository>`, `DomainObjectCollection<JavaToolchainRepository>`, `java.lang.Iterable<JavaToolchainRepository>`, `java.util.List<JavaToolchainRepository>`, `NamedDomainObjectCollection<JavaToolchainRepository>`, `NamedDomainObjectList<JavaToolchainRepository>`

      @Incubating
      public interface JavaToolchainRepositoryHandler
      extends NamedDomainObjectList<JavaToolchainRepository>

  `NamedDomainObjectList` based handler for configuring an ordered collection of `JavaToolchainRepository` implementations.
  Since:
    7.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `repository​(java.lang.String name, Action<? super JavaToolchainRepository> configureAction)` | Utility method for creating a named `JavaToolchainRepository` based on a configuration block.

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.List

      `add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectList

      `findAll, matching, matching, withType`

- - ### Method Detail

    - #### repository

          void repository​(java.lang.String name,
                          Action<? super JavaToolchainRepository> configureAction)

      Utility method for creating a named `JavaToolchainRepository` based on a configuration block.